Last Comment Bug 626705 - Push Firefox Input 3.0 to production
: Push Firefox Input 3.0 to production
Status: VERIFIED FIXED
[01/25/2011 @ 4pm]
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: Corey Shields [:cshields]
: matthew zeier [:mrz]
:
Mentors:
Depends on: 625965 627255
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-18 10:57 PST by Fred Wenzel [:wenzel]
Modified: 2013-10-09 10:29 PDT (History)
9 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Fred Wenzel [:wenzel] 2011-01-18 10:57:03 PST
We need a push of Firefox Input to production.

Please perform the following:
- put up the "under maintenance" page, so users don't hit the page mid-upgrade.
- please run: /root/bin/input_update.sh
- update the sphinx configs from git <https://github.com/fwenzel/reporter/tree/master/configs/sphinx>.
- After this is all good, take down the maintenance page.

Date: Tuesday, 1/25.
Needs downtime: yes.
Comment 1 Fred Wenzel [:wenzel] 2011-01-24 11:44:57 PST
A second thing we need set up is the same cron job we set up on stage in bug 625965. This does not need to be part of the downtime window.
Comment 2 Jeremy Orem [:oremj] 2011-01-24 14:05:35 PST
input is on the pp-zlb cluster. To set a maintenance page you need to enable the "outage-redirect" traffic script rule.

Sphinx configs are in puppet @ files/generic/sphinx/searchd/input/. Fred can give you details on which files need to be updated.

Once you check in the changes you'll need to run puppet on pp-app-sphinx0{1,2} and then on both of those servers run:
/data/bin/sphinx-stop input
/data/bin/sphinx-start input

cronjobs are in mradm02:/etc/cron.d/input.mozilla.com
Comment 3 matthew zeier [:mrz] 2011-01-24 14:06:14 PST
14:02 < cshields> mrz: downtime notice for input..  tomorrow, give it 1-2 hrs
Comment 4 Fred Wenzel [:wenzel] 2011-01-25 10:15:50 PST
For all who would like to call in, let's do conf #370.
Comment 5 Corey Shields [:cshields] 2011-01-25 16:35:54 PST
- please run: /root/bin/input_update.sh

[root@mradm02 bin]# ./input_update.sh 
Updating vendor...
Already up-to-date.
Updating reporter...
remote: Counting objects: 809, done.
remote: Compressing objects: 100% (351/351), done.
remote: Total 713 (delta 508), reused 459 (delta 344)
Receiving objects: 100% (713/713), 98.94 KiB, done.
Resolving deltas: 100% (508/508), completed with 78 local objects.
From git://github.com/fwenzel/reporter
   37304c5..54b7099  development -> origin/development
 * [new branch]      export-csv -> origin/export-csv
   089c81a..14330fd  last_known_good -> origin/last_known_good
   347c579..f16bc38  master     -> origin/master
 + 14330fd...01b1659 prod       -> origin/prod  (forced update)
 * [new branch]      url-structure-621088 -> origin/url-structure-621088
 * [new tag]         3.0        -> 3.0
M       locale
Previous HEAD position was 14330fd... Filter out Mobile versions below 4.0b1. Bug 611883.
HEAD is now at 01b1659... Fixed UNIX timestamps for TSV export.
remote: Counting objects: 660, done.
remote: Compressing objects: 100% (271/271), done.
remote: Total 603 (delta 268), reused 458 (delta 185)
Receiving objects: 100% (603/603), 563.03 KiB | 938 KiB/s, done.
Resolving deltas: 100% (268/268), completed with 1 local objects.
From git://github.com/fwenzel/reporter-locales
   a0d2ac1..c2e0ce9  master     -> origin/master
Submodule path 'locale': checked out 'c2e0ce992ea068ed4f38c7e49b1f7bfbdf719d18'
/data/input/www /data/input
[master 4b72e81] deploy input
 216 files changed, 18771 insertions(+), 6834 deletions(-)
 create mode 100644 django/input.mozilla.com/reporter/apps/api/__init__.py
 create mode 100644 django/input.mozilla.com/reporter/apps/api/__init__.pyc
 create mode 100644 django/input.mozilla.com/reporter/apps/api/cron.py
 create mode 100644 django/input.mozilla.com/reporter/apps/api/models.py
 create mode 100644 django/input.mozilla.com/reporter/apps/api/tasks.py
 rewrite django/input.mozilla.com/reporter/apps/dashboard/templates/dashboard/products.html (63%)
 create mode 100644 django/input.mozilla.com/reporter/apps/dashboard/urls.py
 delete mode 100644 django/input.mozilla.com/reporter/apps/feedback/decorators.py
 rename django/input.mozilla.com/reporter/apps/feedback/templates/feedback/{index.html => beta_index.html} (77%)
 rename django/input.mozilla.com/reporter/apps/feedback/templates/feedback/mobile/{index.html => beta_index.html} (100%)
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/templates/feedback/need_release.html
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/templates/feedback/release_index.html
 delete mode 100644 django/input.mozilla.com/reporter/apps/feedback/tests.py
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/tests/__init__.py
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/tests/test_feedback_utils.py
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/tests/test_validators.py
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/tests/test_version_compare.py
 create mode 100644 django/input.mozilla.com/reporter/apps/feedback/tests/test_views.py
 create mode 100644 django/input.mozilla.com/reporter/apps/myadmin/templates/myadmin/export_tsv.html
 rewrite django/input.mozilla.com/reporter/apps/website_issues/urls.py (60%)
 rewrite django/input.mozilla.com/reporter/lib/product_details_json/firefox_beta_builds.json (92%)
 rewrite django/input.mozilla.com/reporter/lib/product_details_json/firefox_primary_builds.json (93%)
 rewrite django/input.mozilla.com/reporter/lib/product_details_json/mobile_details.json (91%)
 rewrite django/input.mozilla.com/reporter/lib/product_details_json/thunderbird_primary_builds.json (99%)
 rewrite django/input.mozilla.com/reporter/locale/bg/LC_MESSAGES/messages.mo (92%)
 rewrite django/input.mozilla.com/reporter/locale/cs/LC_MESSAGES/messages.mo (94%)
 rewrite django/input.mozilla.com/reporter/locale/da/LC_MESSAGES/messages.mo (70%)
 rewrite django/input.mozilla.com/reporter/locale/de/LC_MESSAGES/messages.mo (97%)
 rewrite django/input.mozilla.com/reporter/locale/el/LC_MESSAGES/messages.mo (96%)
 rewrite django/input.mozilla.com/reporter/locale/en_US/LC_MESSAGES/messages.mo (95%)
 rewrite django/input.mozilla.com/reporter/locale/es/LC_MESSAGES/messages.mo (96%)
 rewrite django/input.mozilla.com/reporter/locale/fr/LC_MESSAGES/messages.mo (66%)
 rewrite django/input.mozilla.com/reporter/locale/fy/LC_MESSAGES/messages.mo (94%)
 create mode 100644 django/input.mozilla.com/reporter/locale/hr/LC_MESSAGES/messages.mo
 copy django/input.mozilla.com/reporter/locale/{nl => hr}/LC_MESSAGES/messages.po (60%)
 rewrite django/input.mozilla.com/reporter/locale/hu/LC_MESSAGES/messages.mo (97%)
 rewrite django/input.mozilla.com/reporter/locale/id/LC_MESSAGES/messages.mo (70%)
 rewrite django/input.mozilla.com/reporter/locale/it/LC_MESSAGES/messages.mo (95%)
 rewrite django/input.mozilla.com/reporter/locale/nl/LC_MESSAGES/messages.mo (97%)
 rewrite django/input.mozilla.com/reporter/locale/pl/LC_MESSAGES/messages.mo (96%)
 rewrite django/input.mozilla.com/reporter/locale/pt_PT/LC_MESSAGES/messages.mo (95%)
 rewrite django/input.mozilla.com/reporter/locale/ru/LC_MESSAGES/messages.mo (93%)
 rewrite django/input.mozilla.com/reporter/locale/sk/LC_MESSAGES/messages.mo (94%)
 create mode 100644 django/input.mozilla.com/reporter/locale/sl/LC_MESSAGES/messages.mo
 create mode 100644 django/input.mozilla.com/reporter/locale/sl/LC_MESSAGES/messages.po
 rewrite django/input.mozilla.com/reporter/locale/sq/LC_MESSAGES/messages.mo (98%)
 rewrite django/input.mozilla.com/reporter/locale/zh_CN/LC_MESSAGES/messages.mo (70%)
 rewrite django/input.mozilla.com/reporter/locale/zh_TW/LC_MESSAGES/messages.mo (96%)
 rewrite django/input.mozilla.com/reporter/log_settings.py (92%)
 create mode 100644 django/input.mozilla.com/reporter/log_settings.pyc
 rewrite django/input.mozilla.com/reporter/media/css/common_old-min.css (72%)
 rewrite django/input.mozilla.com/reporter/media/css/mobile_old-min.css (75%)
 create mode 100644 django/input.mozilla.com/reporter/media/css/release-all.css
 create mode 100644 django/input.mozilla.com/reporter/media/css/release-min.css
 create mode 100644 django/input.mozilla.com/reporter/media/css/release.css
 create mode 100644 django/input.mozilla.com/reporter/media/img/back.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/bullet.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/external-link-large.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/external-link.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/footer-logo-new.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/happy-comment.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/happy.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/help.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/issue-bw.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/loading.gif
 delete mode 100644 django/input.mozilla.com/reporter/media/img/magnifying-glass.gif
 delete mode 100644 django/input.mozilla.com/reporter/media/img/msg-issue.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/msg-praise.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/msg-sprite.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/page-bg.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/praise-bw.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/ratings.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/release-bg.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/sad-comment.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/sad.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/sharing.png
 delete mode 100644 django/input.mozilla.com/reporter/media/img/suggestion-box-idea-small.png
 create mode 100644 django/input.mozilla.com/reporter/media/img/type.png
 create mode 100644 django/input.mozilla.com/reporter/media/js/jquery.cookie.js
 create mode 100644 django/input.mozilla.com/reporter/media/js/release-all.js
 create mode 100644 django/input.mozilla.com/reporter/media/js/release-min.js
 create mode 100644 django/input.mozilla.com/reporter/media/js/release.js
 create mode 100644 django/input.mozilla.com/reporter/media/js/search.js
 create mode 100644 django/input.mozilla.com/reporter/migrations/11-feedback-ratings.sql
 create mode 100644 django/input.mozilla.com/reporter/migrations/12-indexes.sql
 create mode 100644 django/input.mozilla.com/reporter/migrations/13-indexes.sql
 rewrite django/input.mozilla.com/reporter/settings.pyc (63%)
 create mode 100644 django/input.mozilla.com/reporter/templates/about.html
 create mode 100644 django/input.mozilla.com/reporter/templates/base_release.html
 create mode 100644 django/input.mozilla.com/reporter/templates/includes/footer_release.html
 create mode 100644 django/input.mozilla.com/reporter/templates/includes/ua_overlay.html
 create mode 100644 django/input.mozilla.com/reporter/vendor/src/commonware/commonware/__init__.pyc
 create mode 100644 django/input.mozilla.com/reporter/vendor/src/commonware/commonware/log.pyc
 create mode 100644 django/input.mozilla.com/reporter/vendor/src/nuggets/dictconfig.pyc
/data/input
From git://mradm02/data/input/www
   57cb005..4b72e81  master     -> origin/master
===pp-app-input02===

===pp-app-input01===

apache restarted..

- update the sphinx configs from git
<https://github.com/fwenzel/reporter/tree/master/configs/sphinx>.

committed and puppeted out



Sphinx 0.9.9-release (r2117)
Copyright (c) 2001-2009, Andrew Aksyonoff

using config file '/data/sphinx/input/sphinx.conf'...
stop: succesfully sent SIGTERM to pid 7210
[root@pp-app-sphinx02 ~]# /data/bin/sphinx-start input
Sphinx 0.9.9-release (r2117)
Copyright (c) 2001-2009, Andrew Aksyonoff

using config file '/data/sphinx/input/sphinx.conf'...
listening on all interfaces, port=3323
listening on 127.0.0.1:3310
WARNING: index 'opinions': failed to stat /data/sphinx/input/wordforms.txt: No such file or directory

copied in wordforms.txt, restarted again

(submitting thus far to save state and restart browser)
Comment 6 Corey Shields [:cshields] 2011-01-25 16:51:53 PST
tested directly, then removed the maintenance redirect..

all done here.  Will address 625965 in prod when oremj is back.
Comment 7 Fred Wenzel [:wenzel] 2011-01-25 17:54:56 PST
Sorry, I need to reopen. It looks like there were no migrations run on the database? input_update.sh contains a line "schematic migrations/" and this does not seem to have been run as part of the script. I can also not see any output in comment 5. Can you tell what happened?
Comment 8 Corey Shields [:cshields] 2011-01-25 18:11:55 PST
not sure why this didn't run but here it is now:

[root@mradm02 ~]# cd /data/input/www/django/input.mozilla.com/reporter/; schematic migrations
Running migration 11:
CREATE TABLE `feedback_rating` (
    `id` integer AUTO_INCREMENT NOT NULL PRIMARY KEY,
    `opinion_id` integer NOT NULL,
    `type` smallint UNSIGNED NOT NULL,
    `value` smallint UNSIGNED
) TYPE=innodb;
;
ALTER TABLE `feedback_rating` ADD CONSTRAINT `opinion_id_refs_id_36fb0fb1` FOREIGN KEY (`opinion_id`) REFERENCES `feedback_opinion` (`id`) ON DELETE CASCADE;
CREATE INDEX `opinion` ON `feedback_rating` (`opinion_id`);
CREATE INDEX `type` ON `feedback_rating` (`type`);

That took 0.63 seconds
################################################## 

Running migration 12:
CREATE INDEX `type` ON `feedback_opinion` (type);

That took 32.15 seconds
################################################## 

Running migration 13:
ALTER TABLE feedback_opinion ADD INDEX (`created`);
ALTER TABLE feedback_opinion ADD INDEX (`product`);
ALTER TABLE feedback_opinion ADD INDEX (`version`);
ALTER TABLE feedback_opinion ADD INDEX (`os`);
ALTER TABLE feedback_opinion ADD INDEX (`locale`);

That took 247.25 seconds
##################################################
Comment 9 Fred Wenzel [:wenzel] 2011-01-25 18:13:38 PST
Much better. I have no idea why this did not run during the push, as it's part of the deployment script. Thanks, Corey!
Comment 10 Stephen Donner [:stephend] 2011-01-27 18:45:40 PST
Verified FIXED (pushed).

Note You need to log in before you can comment on or make changes to this bug.